<template>
  <img
      :src="src"
      alt="..."
      :width="width"
      :class="{ 'button-icon': true, disabled: disabled, [$attrs.class]: true }"
      @click="onClick"
  />
</template>

<script>
  export default {
    name: 'VIconButton',
    props: {
      src: String,
      width: String,
      disabled: Boolean
    },
    methods: {
      onClick() {
        if (!this.disabled) {
          this.$emit('click')
        }
      }
    }
  }
</script>

<style scoped lang="scss">

  .button-icon {
    opacity: 0.9;
    cursor: pointer;

    &:hover {
      opacity: 1;
    }
  }

  .disabled {
    opacity: 0.8;

    &:hover {
      opacity: 0.8;
      cursor: default;
    }
  }

</style>